﻿using RestaurantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.ViewModels
{
    public class ComponentViewModel : IComponentModel
    {
        public int Id { get; set; }

        [DisplayName("Название компонента")]
        public string Name { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public int Price { get; set; }

        [DisplayName("Количество")]
        public int Count { get; set; }

        public List<(IProviderModel, int, DateTime)> ComponentProviders { get; set; } = new();
    }
}
