﻿using RestaurantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер заказа")]
        public int Id { get; set; }

        public int ClientId { get; set; }

        [DisplayName("Имя клиента")]
        public string ClientFirstName { get; set; } = string.Empty;

        [DisplayName("Фамилия клиента")]
        public string ClientLastName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        [DisplayName("Дата")]
        public DateTime Date { get; set; }

        public Dictionary<int, (IProductModel, int)> OrderProducts { get; set; } = new();   
    }
}
