﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantDataModels.Models
{
    public interface IComponentModel : IId
    {
        string Name { get; }

        int Price { get; }

        int Count { get; }

        List<(IProviderModel, int, DateTime)> ComponentProviders { get; }
    }
}
