﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantDataModels.Models
{
    public interface IOrderModel : IId
    {
        int ClientId { get; }

        double Price { get; }

        DateTime Date { get; }

        Dictionary<int, (IProductModel, int)> OrderProducts { get; }
    }
}
