﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantDatabaseImplement.Models
{
    public class ComponentProvider
    {
        public int Id { get; set; }

        [Required]
        public int ComponentId { get; set; }
        public virtual Component Component { get; set; } = new();

        [Required]
        public int ProviderId { get; set; }
        public virtual Provider Provider { get; set; } = new();

        [Required]
        public int Count { get; set; }

        [Required]
        public DateTime Date { get; set; } 
    }
}
