﻿using RestaurantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.BindingModels
{
    public class ComponentBindingModel : IComponentModel
    {
        public string Name { get; set; } = string.Empty;

        public int Price { get; set; }

        public int Count { get; set; }

        public List<(IProviderModel, int, DateTime)> ComponentProviders { get; set; } = new();

        public int Id { get; set; }
    }
}
