﻿using RestaurantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int ClientId { get; set; } = new();

        public double Price { get; set; }

        public DateTime Date { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);

        public Dictionary<int, (IProductModel, int)> OrderProducts { get; set; } = new();

        public int Id { get; set; }
    }
}
