﻿using RestaurantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.BindingModels
{
    public class ProductBindingModel : IProductModel
    {
        public string Type { get; set; } = string.Empty;

        public double Price { get; set; }

        public int Count { get; set; }

        public Dictionary<int, (IComponentModel, int)> ProductComponents { get; set; } = new();

        public int Id { get; set; }
    }
}
