﻿using RestaurantContracts.BindingModels;
using RestaurantContracts.SearchModels;
using RestaurantContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.BusinessLogicsContracts
{
    public interface IProviderLogic
    {
        List<ProviderViewModel>? ReadList(ProviderSearchModel? model);

        ProviderViewModel? ReadElement(ProviderSearchModel model);

        bool Create(ProviderBindingModel model);

        bool Update(ProviderBindingModel model);

        bool Delete(ProviderBindingModel model);
    }
}
