﻿using RestaurantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantContracts.ViewModels
{
    public class ProductViewModel : IProductModel
    {
        public int Id { get; set; }

        [DisplayName("Вид продукта")]
        public string Type { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        [DisplayName("Количество продуктов")]
        public int Count { get; set; }

        public Dictionary<int, (IComponentModel, int)> ProductComponents { get; set; } = new();
    }
}
