﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantDataModels.Models
{
    public interface IProductModel : IId
    {
        string Type { get; }

        double Price { get; }

        int Count { get; }

        Dictionary<int, (IComponentModel, int)> ProductComponents { get; }
    }
}
