﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RestaurantDatabaseImplement.Models
{
    public class ProductComponent
    {
        public int Id { get; set; }

        [Required]
        public int ProductId { get; set; }
        public virtual Product Product { get; set; } = new();

        [Required]
        public int ComponentId { get; set; }
        public virtual Component Component { get; set; } = new();

        [Required]
        public int Count { get; set; }
    }
}
